Name: perl-Authen-PAM
Version: 0.16
Release: 1.%{mysig}
Packager: Milan Kerslager <kerslage@linux.cz>
Summary: Perl interface to the PAM library.
License: Distributable
Group: Development/Libraries
URL: http://search.cpan.org/search?mode=module&query=Authen-PAM
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl >= 0:5.00503
Source0: Authen-PAM-%{version}.tar.gz

%description
This module provides a Perl interface to the PAM library.

%prep
%setup -q -n Authen-PAM-%{version} 

%build
echo | CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
make test

%install

rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | \
	grep -v "\.packlist" > %{name}-%{version}-filelist
if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Sat Sep 08 2007 Milan Kerslager <kerslage@linux.cz> 0.16-1.ker.rhel5
- updated to the latest release
- rebuild for RHEL5

* Tue Feb 22 2005 Milan Kerslager <kerslage@linux.cz> 0.14-1.ker.rhel4
- rebuild for RHEL4
- update to the latest version

* Mon Apr 28 2003 Milan Kerslager <kerslage@linux.cz> 0.14-2_WB3
- initial version
